<template>
	<div>
		<highcharts :options="options"></highcharts>
	</div>
</template>

<script>
import { Chart } from "highcharts-vue";

export default {
	name: "material-input-chart-component",
	components: {
		highcharts: Chart,
	},
	props: {
		recipes: {
			type: Array,
			required: true,
		},
	},
	data: function () {
		return {
			options: {
				credits: false,
				chart: {
					plotBackgroundColor: null,
					plotBorderWidth: null,
					plotShadow: false,
					type: "pie",
					margin: [-40, 0, 0, 0],
					spacingTop: 0,
					spacingBottom: 0,
					spacingLeft: 0,
					spacingRight: 0,
					height: 190,
				},
				legend: {
					navigation: {
						enabled: false,
					},
					itemWidth: 100,
				},
				title: {
					text: null,
				},
				tooltip: {
					pointFormat: "{series.name}: <b>{point.y}KG</b>",
				},
				accessibility: {
					point: {
						valueSuffix: "KG",
					},
				},
				plotOptions: {
					pie: {
						allowPointSelect: true,
						cursor: "pointer",
						dataLabels: {
							enabled: false,
						},
						showInLegend: true,
						size: 150,
					},
				},
				series: [
					{
						name: "Materials",
						colorByPoint: true,
						data: this.recipes,
					},
				],
			},
		};
	},
};
</script>
